:root {
  --main-dark: #121212;
  --main-blue: #007bff;
  --main-grey-light: #9f9f9f;
  --main-blue-dark: #0067f4;
  --main-grey: #6c6c6c;
  --main-red: #dc3545;
  --main-light-grey: #f4f6f7;
  --main-dark-blue: #2b354f;
  --main-cyan: #17a2b8;
  --main-white: #ffffff;
  --main-light-blue: #3a6fb0;
  --main-black: #000000;
  --main-green: #28a745;
  --bg-transparent: rgba(0, 0, 0, 0);
}


.btn.btn-more {
  background-color: var(--main-blue);
  color: var(--main-white);
  width: 190px;
  font-weight: 500;
}
.btn.btn-more:hover {
  background-color: var(--main-blue-dark);
  color: var(--main-white);
  width: 190px;
  font-weight: 500;
}
.btn.btn-more:active {
transform: translateY(2px);
}
.card-product, .card-event {
  border-radius: 10px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  margin-bottom: 20px;
  height: 350px;
  position: relative; 
  overflow: hidden;
  text-decoration: none;
  color: inherit;
  width: 100%;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card-product:hover, .card-event:hover {
  transform: translateY(-2px);
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}

.card-img-top {
  width: 100%; 
  height: 180px; 
  border-radius: 5px;
  object-fit: fill; 
  /* object-position: center; */
  
}
.workshop-name {
  font-size: 14px;
  color: var(--main-grey);
}
.card-title {
  font-size: 18px;
  font-weight: 600;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.tagline {
  font-size: 16px;
  font-weight: 500;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.date {
  font-size: 14px;
  font-weight: 500;
}

.footer-card {
  position: absolute;
  bottom: 10px;
  background-color: rgba(255, 255, 255, 0.9);       
}
.price {
  font-weight: 600;
  font-size: 18px;
}
.location-map {

  color: var(--main-grey);
}
.location {
  font-size: 14px;
  font-weight: 500;
  color: var(--main-grey);
}